// action definitions

local FF_PAPERSPRITE = FF_PAPERSPRITE
local ANGLE_45 = ANGLE_45
local ANGLE_135 = ANGLE_135

function A_FunnyHouseDeco(actor, var1, var2)
	// All this does is spawn dummy mobjs to replace the decoration
	if actor.spawnedpsdeco then return end
	
	local mo1 = P_SpawnMobj(actor.x, actor.y, actor.z, MT_THOK)
	mo1.flags = actor.flags
	mo1.sprite = actor.sprite
	mo1.frame = FF_PAPERSPRITE|actor.frame
	mo1.tics = -1
	mo1.angle = ANGLE_45
	
	local mo2 = P_SpawnMobj(actor.x, actor.y, actor.z, MT_THOK)
	mo2.flags = actor.flags
	mo2.sprite = actor.sprite
	mo2.frame = FF_PAPERSPRITE|actor.frame
	mo2.tics = -1
	mo2.angle = ANGLE_135
	
	actor.spawnedpsdeco = true
	
	actor.fuse = 1
end